Subject: mirror fails after disk damage

From: CD Rasmussen <[email-masked]>
Date: Wed, 19 Jun 1996 08:36:40 -0400

I had memory errors that caused my system to hang several times.  Each
time fsck made a bunch of corrections.  During all this I appear to
have lost files that mirror needs to function.

When I run mirror I get this:

# mirror -d -d -d -d debian
Undefined subroutine &Socket::PF_INET called at
   /usr/bin/../lib/mirror/lchat.pl line 42. 

When I try to re-install mirror I get no errors but when I try to
reinstall perl I get:

# dpkg -i devel/perl-5.002-10.deb
(Reading database ... 16006 files and directories currently installed.)
Preparing to replace perl (using devel/perl-5.002-10.deb) ...
Unpacking replacement perl ...
dpkg: error processing devel/perl-5.002-10.deb (--install):
 unable to make backup link of `usr/lib/perl5/i486-linux/5.002/auto/DynaLoader/DynaLoader.a' before installing new version: Too many links
dpkg-deb: subprocess paste killed by signal (Broken pipe)
mv: `perl.dist' and `perl' are the same file
Creating Perl header files.  This may take a while...
\nIf possible, you should use Socket and/or some of the other modules.
h2ph has always been somewhat broken.
install: `./bind-4.9.3' exists but is not a directory
install: `./bind-4.9.3' exists but is not a directory
install: `./et' exists but is not a directory
install: `./ss' exists but is not a directory
install: `./ext2fs' exists but is not a directory
install: `./pthread' exists but is not a directory
install: `./pthread' exists but is not a directory
install: `./pthread' exists but is not a directory
install: `./linux/modules' exists but is not a directory
install: `./asm-i386' exists but is not a directory
Can't create ./bind-4.9.3/resolv.ph: Not a directory
Done.
You can re-run this script at any time as 'perlconfig'.
You should do this any time you install new header files
in /usr/include.
Errors were encountered while processing:
 devel/perl-5.002-10.deb 

I tried reinstalling libraries to see if something more fundamental
broken.  I am considering building a new system on another partition
if I can not get this one back to good working order.

I will cooperate in any way needed.  If you need more info I can send
it.  If a member of the debian-devel list would like a guest login to
examine the system, I will provide one.

TIA,
  Costa